Selecting other map items does not respond after a while
Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 18467

Description

After working a while with map items like legend or scale bar, the selection got "frozen" on the last item, and it is impossible to select

another one.

E.g. Making changes in a Text field. Text field is selected and editable. Clicking on the scalebar to select it (with the proper tool) yields no

reaction.

The focus remains on the textfield.

The Menue and the toolbars are still fully functional. The only way to be able to procede with my print composer is to make a copy

("Duplicate Composer") or to close and reopen the hole project.

QGIS 2.2, Win7 64 bit, OSGeo4W 32bit advanced install

History

#1 - 2014-04-01 11:19 PM - Nyall Dawson

Do you have a sample project available I can use to test with?

#2 - 2014-05-13 12:34 PM - Andrew Carne

I can confirm that this happens to me frequently as well. It only seems to be an issue when opening pre-2.2 projects in 2.2.

I haven't yet been able to reproduce exactly what causes it to happen, but it's "frozen" on me three times this morning working on a project. Unfortunately

the only files I have handy all contain large proprietary data sets and I can't upload. I will try to find or create a simple project to demo the error if I can.

#3 - 2014-05-31 07:44 PM - Nyall Dawson

- Resolution set to duplicate

- Status changed from Open to Closed

Duplicate of #10143. I've pushed a tentative fix to master. Do you mind testing the current dev version and giving feedback on the other issue?
